Bug 537833 - SELinux is preventing /usr/bin/iceauth "read" access on dcopPfMg8b.
Summary: SELinux is preventing /usr/bin/iceauth "read" access on dcopPfMg8b.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:4cc5410977f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-16 14:16 UTC by Mary Ellen Foster
Modified: 2009-12-11 21:58 UTC (History)
3 users (show)

Fixed In Version: 3.6.32-46.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-24 07:50:02 UTC
Type: ---


Attachments (Terms of Use)

Description Mary Ellen Foster 2009-11-16 14:16:09 UTC
Summary:

SELinux is preventing /usr/bin/iceauth "read" access on dcopPfMg8b.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by iceauth. It is not expected that this access
is required by iceauth and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:tmp_t:s0
Target Objects                dcopPfMg8b [ file ]
Source                        iceauth
Source Path                   /usr/bin/iceauth
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           xorg-x11-server-utils-7.4-13.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-41.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.31.5-127.fc12.x86_64 #1 SMP Sat
                              Nov 7 21:11:14 EST 2009 x86_64 x86_64
Alert Count                   2
First Seen                    Mon 16 Nov 2009 02:15:06 PM GMT
Last Seen                     Mon 16 Nov 2009 02:15:06 PM GMT
Local ID                      351aec31-1d2a-41be-9082-18bf95be5743
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1258380906.111:107): avc:  denied  { read } for  pid=2690 comm="iceauth" name="dcopPfMg8b" dev=sda6 ino=300371 scontext=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=file

node=(removed) type=AVC msg=audit(1258380906.111:107): avc:  denied  { open } for  pid=2690 comm="iceauth" name="dcopPfMg8b" dev=sda6 ino=300371 scontext=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmp_t:s0 tclass=file

node=(removed) type=SYSCALL msg=audit(1258380906.111:107): arch=c000003e syscall=2 success=yes exit=68719476864 a0=7fff58fcc357 a1=0 a2=1b6 a3=0 items=0 ppid=2689 pid=2690 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="iceauth" exe="/usr/bin/iceauth" subj=unconfined_u:unconfined_r:iceauth_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  selinux-policy-3.6.32-41.fc12,catchall,iceauth,iceauth_t,tmp_t,file,read
audit2allow suggests:

#============= iceauth_t ==============
allow iceauth_t tmp_t:file { read open };

Comment 1 Daniel Walsh 2009-11-16 16:04:00 UTC
You can add these rules for now using

# grep avc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Fixed in selinux-policy-3.6.32-46.fc12.noarch

Comment 2 Fedora Update System 2009-11-16 19:39:05 UTC
selinux-policy-3.6.32-46.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-46.fc12

Comment 3 Fedora Update System 2009-11-18 14:13:11 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2009-11672

Comment 4 Fedora Update System 2009-11-24 07:48:06 UTC
selinux-policy-3.6.32-46.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.